> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate with the REST API

export const SiftIcon = ({className}) => <span className={`inline-flex items-center align-middle text-black dark:text-white ${className || ''}`}>
    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="Artwork" x="0px" y="0px" viewBox="0 0 1005.58 733.96" style={{
  enableBackground: "new 0 0 1005.58 733.96",
  width: "2em",
  height: "2em"
}} xmlSpace="preserve">
      <path fill="currentColor" d="M552.16,150.89c-165.6,0-180.29,160.61-300.62,192.32v2.67h601.24v-2.67C747.74,324.18,717.72,150.89,552.16,150.89z   M453.46,583.08c165.6,0,180.29-160.61,300.62-192.32v-2.67H152.84v2.67C257.88,409.78,287.91,583.08,453.46,583.08z" />
    </svg>
  </span>;

## Overview

Every request to the REST API must be authenticated to ensure secure access to your data and services. Authentication requires two components, both of which must come from the same provisioned environment:

* A **base URL** that identifies the REST API server you are connecting to.
  * You can find the appropriate base URL for your project in the Sift UI when generating an API key.
    <Info>
      To learn how to create an API key in the Sift user interface, see [Create an API key](../../documentation/manage/set-up-api-access).
    </Info>
* An **API key** that serves as your secure credential.
  * You can generate an API key through the Sift web application or programmatically via the Sift API.
    <Info>
      To learn how to obtain the base URL for REST/gRPC requests, [Obtain the base URL for REST/gRPC requests](../../documentation/manage/set-up-api-access).
    </Info>

## Instructions

To authenticate with the **REST API**, consider the following steps:

1. Create an API key.
2. Obtain the base URL for REST requests.
3. Replace the placeholders (`$SIFT_API_KEY` and `$SIFT_REST_BASE_URL`) in the following command with your actual values:
   ```bash theme={null}
   curl -H "authorization: Bearer $SIFT_API_KEY" $SIFT_REST_BASE_URL/api/v1/ping
   ```
